Name:         	partclone
Version:      	0.3.17
Release:      	%mkrel 1
Group:        	Archiving/Backup
URL:          	http://partclone.org
License:      	GPLv2
Summary:      	File System Clone Utilities
Source0:      	https://sourceforge.net/projects/partclone/files/unstable/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:  xfs-devel
BuildRequires:  pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libbsd)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  btrfs-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	nilfs-utils-devel
BuildRequires:	gettext-devel
BuildRequires:  pkgconfig(fuse)

%description
Partclone is a program similar to the well-known backup utility "Partition
Image" a.k.a partimage. Partclone provides utilities to save and restore
used blocks on a partition and is designed for higher compatibility of the
file system by using existing libraries, e.g. e2fslibs is used to read and
write the ext2 partition.

Partclone now supports ext2, ext3, ext4, hfs+, btrfs, xfs, ntfs,
fat(12/16/32), exfat, f2fs, nilfs2.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv
%configure \
    --disable-rpath \
    --enable-apfs \
    --enable-ncursesw \
    --enable-fs-test \
    --enable-fuse \
    --enable-xfs \
    --enable-hfsp \
    --enable-fat \
    --enable-exfat \
    --enable-ntfs \
    --enable-btrfs \
    --enable-extfs \
    --enable-f2fs \
    --enable-nilfs2 \
    --enable-minix \
    --enable-exfat

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README.md TODO
%{_mandir}/man8/partclone.*
%{_sbindir}/partclone.*
%{_datadir}/partclone/fail-mbr.bin


%changelog
* Sun Dec 06 2020 luigiwalser <luigiwalser> 0.3.17-1.mga8
+ Revision: 1654005
- 0.3.17
- update source URL
- remove upstreamed gcc10 patch
- enable apfs and exfat

* Tue May 26 2020 neoclust <neoclust> 0.3.12-3.mga8
+ Revision: 1587713
- Fix build with gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.3.12-2.mga8
+ Revision: 1521728
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 0.3.12-1.mga7
+ Revision: 1346842
- 0.3.12
- update source URL

* Sun Sep 23 2018 umeabot <umeabot> 0.3.11-2.mga7
+ Revision: 1300112
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 kekepower <kekepower> 0.3.11-1.mga7
+ Revision: 1219893
- Update to version 0.3.11

* Sat Jul 22 2017 daviddavid <daviddavid> 0.3.5a-2.mga7
+ Revision: 1128730
- rebuild for new ntfs-3g

* Mon Apr 24 2017 neoclust <neoclust> 0.3.5a-1.mga6
+ Revision: 1097243
- New version 0.3.5a - Fixes CVE-2017-6596 (mga#20594)

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.2.89-1.mga6
+ Revision: 1045561
- 0.2.89

* Wed May 18 2016 tv <tv> 0.2.88-1.mga6
+ Revision: 1016695
- BR ncursesw-devel
+ neoclust <neoclust>
- imported package partclone

